!<
!quick_graph
!
!Usage:
!quick_graph.x  <in.H >out.H
!
!Input Parameters:
!
! s0_b-real       s0 slowness at t0 (begining of the fairway)
! s0_e-real       s0 slowness at t0 (end of the fairway)
! a_b -real       change in fairway slowness /per second
! a_e -real       change in fairway slowness /per second
! b_b -real       change in fairway slowness sqrt(/per second)
! b_e -real       change in fairway slowness sqrt(/per second)
!
!Output Parameters:
!
!
!
!Description:
! Creates lines described by s0+a*time+b*sqrt(time)
! useful in conjunction with vp_Overlay to display picking
! fairway
!
!>
!-------------------------------------------------
!
!Author: Robert Clapp, ESMB 463, 7230253
!
!Date Created:Tue Jan 27 14:40:22 PST 1998
!
!Purpose:
!
program quick_graph 
  implicit none
  integer n1,i1
  real o1,d1,s0_b,dv,time,a_b,b_b
  real s0_e,a_e,b_e
  complex,dimension(:,:), allocatable :: array
  integer getch,putch
  call initpar()
  call doc('')
    if (0>= getch('n1','d',n1 )) then
      call erexit('Trouble reading  n1 from par  ')
    end if
    if (0.ne.putch('Read  from par:  n1 ','d',n1)) then
      call erexit('Trouble writing n1 to history')
    end if
    write(0,*) 'n1: from par is obsolete, please replace with from&
      & param'
    if (0>= getch('o1','f',o1 )) then
      call erexit('Trouble reading  o1 from par  ')
    end if
    if (0.ne.putch('Read  from par:  o1 ','f',o1)) then
      call erexit('Trouble writing o1 to history')
    end if
    write(0,*) 'o1: from par is obsolete, please replace with from&
      & param'
    if (0>= getch('d1','f',d1 )) then
      call erexit('Trouble reading  d1 from par  ')
    end if
    if (0.ne.putch('Read  from par:  d1 ','f',d1)) then
      call erexit('Trouble writing d1 to history')
    end if
    write(0,*) 'd1: from par is obsolete, please replace with from&
      & param'
    if (0>= getch('s0_b','f',s0_b )) then
      call erexit('Trouble reading  s0_b from par  ')
    end if
    if (0.ne.putch('Read  from par:  s0_b ','f',s0_b)) then
      call erexit('Trouble writing s0_b to history')
    end if
    write(0,*) 's0_b: from par is obsolete, please replace with from&
      & param'
    if (0>= getch('a_b','f',a_b )) then
      call erexit('Trouble reading  a_b from par  ')
    end if
    if (0.ne.putch('Read  from par:  a_b ','f',a_b)) then
      call erexit('Trouble writing a_b to history')
    end if
    write(0,*) 'a_b: from par is obsolete, please replace with from&
      & param'
    if (0>= getch('b_b','f',b_b )) then
      call erexit('Trouble reading  b_b from par  ')
    end if
    if (0.ne.putch('Read  from par:  b_b ','f',b_b)) then
      call erexit('Trouble writing b_b to history')
    end if
    write(0,*) 'b_b: from par is obsolete, please replace with from&
      & param'
    if (0>= getch('s0_e','f',s0_e )) then
      call erexit('Trouble reading  s0_e from par  ')
    end if
    if (0.ne.putch('Read  from par:  s0_e ','f',s0_e)) then
      call erexit('Trouble writing s0_e to history')
    end if
    write(0,*) 's0_e: from par is obsolete, please replace with from&
      & param'
    if (0>= getch('a_e','f',a_e )) then
      call erexit('Trouble reading  a_e from par  ')
    end if
    if (0.ne.putch('Read  from par:  a_e ','f',a_e)) then
      call erexit('Trouble writing a_e to history')
    end if
    write(0,*) 'a_e: from par is obsolete, please replace with from&
      & param'
    if (0>= getch('b_e','f',b_e )) then
      call erexit('Trouble reading  b_e from par  ')
    end if
    if (0.ne.putch('Read  from par:  b_e ','f',b_e)) then
      call erexit('Trouble writing b_e to history')
    end if
    write(0,*) 'b_e: from par is obsolete, please replace with from&
      & param'
    if (0.ne. putch('n1','d',n1 )) then
      call erexit('Trouble writing  n1 to history  ')
    end if
    if (0.ne. putch('esize','d',8 )) then
      call erexit('Trouble writing  esize to history  ')
    end if
    if (0.ne. putch('n2','d',2 )) then
      call erexit('Trouble writing  n2 to history  ')
    end if
  allocate(array(n1,2))
  do i1=1,n1 
    time=o1+d1*(i1-1)
    array(i1,1)=cmplx(s0_b+a_b*time+b_b*time**.5,time)
    array(i1,2)=cmplx(s0_e+a_e*time+b_e*time**.5,time)
  end do 
  call srite("out",array,n1*8*2)
end program  
